Subject: B20.1 & (Active)Perl?
From: [email-masked] (Ralston, Steve)

9 Dec 1998 06:07:39 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "[email-masked]'" <[email-masked]>

I'm trying to use ActivePerl (build 507) in conjunction with
the Cygwin B20.1 tools.  Is there something really basic
that I'm missing that would be causing me problems?
Does this version of perl somehow pass cmd's enclosed in
backticks (`...`) to cmd.exe or command.com or somesuch?

Here's a super-simplified variant of a perl script I'm trying
to execute (foo.pl):
    #!/bin/perl
    $DevNull = (-w '/dev/null') ? '/dev/null' : 'nul';
    $RelativeDir = '.';
    chop($TopRepos = `cd $RelativeDir; cat CVS/Repository 2>$DevNull`)
        || die "Hummm...  (TopRepos=$TopRepos) Something's wrong!";

If I try and execute this from a DOS box on Win95:
    E:\_dev\util> perl foo.pl
my flex drive gets shoe-shined, and I get:
    Too many parameters - cat
    Hummm...  (TopRepos=) Something's wrong! at foo.pl line 4.
From an NT system, I get the same result except without
the "Too many parameters - cat" error msg.

If I try and execute it directly from a bash shell (on both
Win95 & NT), I get:
    //e/_dev/util$ foo.pl
    Error: Parse exception
(without the shoe-shine of my flex drive)
(BTW: I copied the ActivePerl perl.exe binary to /bin)

Can somebody clue me in?

Thanks so much,
-SteveR
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".